Basic Sparklines in JavaScript

Using ApexCharts with JavaScript

This Basic Sparklines example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
window.Apex = {
  stroke: {
    width: 3,
  },
  markers: {
    size: 0,
  },
  tooltip: {
    fixed: {
      enabled: true,
    },
  },
}

// Fixed, deterministic series so the header sparklines are stable and tell a
// coherent story: Profit is the gap between Sales and Expenses, point by point.
var salesSpark = [
  31, 40, 33, 52, 46, 58, 49, 61, 55, 70, 64, 78, 72, 85, 79, 92, 88, 101, 96,
  108, 104, 118, 112, 126,
]
var expensesSpark = [
  28, 34, 30, 41, 37, 33, 45, 40, 52, 47, 43, 55, 50, 46, 58, 53, 49, 61, 56,
  52, 64, 59, 55, 67,
]
var profitSpark = salesSpark.map(function (v, i) {
  return v - expensesSpark[i]
})

var options = {
  series: [
    {
      data: salesSpark,
    },
  ],
  chart: {
    type: 'area',
    height: 160,
    sparkline: {
      enabled: true,
    },
  },
  stroke: {
    curve: 'straight',
  },
  fill: {
    opacity: 0.3,
  },
  yaxis: {
    min: 0,
  },
  colors: ['#00E396'],
  title: {
    text: '$424,652',
    offsetX: 0,
    style: {
      fontSize: '24px',
    },
  },
  subtitle: {
    text: 'Sales',
    offsetX: 0,
    style: {
      fontSize: '14px',
    },
  },
}

var chart = new ApexCharts(document.querySelector('#chart-spark1'), options)
chart.render()

var optionsSpark2 = {
  series: [
    {
      data: expensesSpark,
    },
  ],
  chart: {
    type: 'area',
    height: 160,
    sparkline: {
      enabled: true,
    },
  },
  stroke: {
    curve: 'straight',
  },
  fill: {
    opacity: 0.3,
  },
  yaxis: {
    min: 0,
  },
  colors: ['#FF4560'],
  title: {
    text: '$235,312',
    offsetX: 0,
    style: {
      fontSize: '24px',
    },
  },
  subtitle: {
    text: 'Expenses',
    offsetX: 0,
    style: {
      fontSize: '14px',
    },
  },
}

var chartSpark2 = new ApexCharts(
  document.querySelector('#chart-spark2'),
  optionsSpark2,
)
chartSpark2.render()

var optionsSpark3 = {
  series: [
    {
      data: profitSpark,
    },
  ],
  chart: {
    type: 'area',
    height: 160,
    sparkline: {
      enabled: true,
    },
  },
  stroke: {
    curve: 'straight',
  },
  fill: {
    opacity: 0.3,
  },
  xaxis: {
    crosshairs: {
      width: 1,
    },
  },
  yaxis: {
    min: 0,
  },
  colors: ['#008FFB'],
  title: {
    text: '$189,340',
    offsetX: 0,
    style: {
      fontSize: '24px',
    },
  },
  subtitle: {
    text: 'Profits',
    offsetX: 0,
    style: {
      fontSize: '14px',
    },
  },
}

var chartSpark3 = new ApexCharts(
  document.querySelector('#chart-spark3'),
  optionsSpark3,
)
chartSpark3.render()

var options1 = {
  series: [
    {
      data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
    },
  ],
  chart: {
    type: 'line',
    width: 100,
    height: 35,
    sparkline: {
      enabled: true,
    },
  },
  tooltip: {
    fixed: {
      enabled: false,
    },
    x: {
      show: false,
    },
    y: {
      title: {
        formatter: function (seriesName) {
          return ''
        },
      },
    },
    marker: {
      show: false,
    },
  },
}

var chart1 = new ApexCharts(document.querySelector('#chart-1'), options1)
chart1.render()

var options2 = {
  series: [
    {
      data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
    },
  ],
  chart: {
    type: 'line',
    width: 100,
    height: 35,
    sparkline: {
      enabled: true,
    },
  },
  tooltip: {
    fixed: {
      enabled: false,
    },
    x: {
      show: false,
    },
    y: {
      title: {
        formatter: function (seriesName) {
          return ''
        },
      },
    },
    marker: {
      show: false,
    },
  },
}

var chart2 = new ApexCharts(document.querySelector('#chart-2'), options2)
chart2.render()

var options3 = {
  series: [43, 32, 12, 9],
  chart: {
    type: 'pie',
    width: 40,
    height: 40,
    sparkline: {
      enabled: true,
    },
  },
  stroke: {
    width: 1,
  },
  tooltip: {
    fixed: {
      enabled: false,
    },
  },
}

var chart3 = new ApexCharts(document.querySelector('#chart-3'), options3)
chart3.render()

var options4 = {
  series: [43, 32, 12, 9],
  chart: {
    type: 'donut',
    width: 40,
    height: 40,
    sparkline: {
      enabled: true,
    },
  },
  stroke: {
    width: 1,
  },
  tooltip: {
    fixed: {
      enabled: false,
    },
  },
}

var chart4 = new ApexCharts(document.querySelector('#chart-4'), options4)
chart4.render()

var options5 = {
  series: [
    {
      data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
    },
  ],
  chart: {
    type: 'bar',
    width: 100,
    height: 35,
    sparkline: {
      enabled: true,
    },
  },
  plotOptions: {
    bar: {
      columnWidth: '80%',
    },
  },
  labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
  xaxis: {
    crosshairs: {
      width: 1,
    },
  },
  tooltip: {
    fixed: {
      enabled: false,
    },
    x: {
      show: false,
    },
    y: {
      title: {
        formatter: function (seriesName) {
          return ''
        },
      },
    },
    marker: {
      show: false,
    },
  },
}

var chart5 = new ApexCharts(document.querySelector('#chart-5'), options5)
chart5.render()

var options6 = {
  series: [
    {
      data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
    },
  ],
  chart: {
    type: 'bar',
    width: 100,
    height: 35,
    sparkline: {
      enabled: true,
    },
  },
  plotOptions: {
    bar: {
      columnWidth: '80%',
    },
  },
  labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
  xaxis: {
    crosshairs: {
      width: 1,
    },
  },
  tooltip: {
    fixed: {
      enabled: false,
    },
    x: {
      show: false,
    },
    y: {
      title: {
        formatter: function (seriesName) {
          return ''
        },
      },
    },
    marker: {
      show: false,
    },
  },
}

var chart6 = new ApexCharts(document.querySelector('#chart-6'), options6)
chart6.render()

var options7 = {
  series: [45],
  chart: {
    type: 'radialBar',
    width: 50,
    height: 50,
    sparkline: {
      enabled: true,
    },
  },
  dataLabels: {
    enabled: false,
  },
  plotOptions: {
    radialBar: {
      hollow: {
        margin: 0,
        size: '50%',
      },
      track: {
        margin: 0,
      },
      dataLabels: {
        show: false,
      },
    },
  },
}

var chart7 = new ApexCharts(document.querySelector('#chart-7'), options7)
chart7.render()

var options8 = {
  series: [53, 67],
  chart: {
    type: 'radialBar',
    width: 40,
    height: 40,
    sparkline: {
      enabled: true,
    },
  },
  dataLabels: {
    enabled: false,
  },
  plotOptions: {
    radialBar: {
      hollow: {
        margin: 0,
        size: '50%',
      },
      track: {
        margin: 1,
      },
      dataLabels: {
        show: false,
      },
    },
  },
}

var chart8 = new ApexCharts(document.querySelector('#chart-8'), options8)
chart8.render()

Basic Sparklines in React

Using ApexCharts with React

This Basic Sparklines example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

window.Apex = {
  stroke: {
    width: 3,
  },
  markers: {
    size: 0,
  },
  tooltip: {
    fixed: {
      enabled: true,
    },
  },
}

// Fixed, deterministic series so the header sparklines are stable and tell a
// coherent story: Profit is the gap between Sales and Expenses, point by point.
var salesSpark = [
  31, 40, 33, 52, 46, 58, 49, 61, 55, 70, 64, 78, 72, 85, 79, 92, 88, 101, 96,
  108, 104, 118, 112, 126,
]
var expensesSpark = [
  28, 34, 30, 41, 37, 33, 45, 40, 52, 47, 43, 55, 50, 46, 58, 53, 49, 61, 56,
  52, 64, 59, 55, 67,
]
var profitSpark = salesSpark.map(function (v, i) {
  return v - expensesSpark[i]
})

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        data: salesSpark,
      },
    ],
    options: {
      chart: {
        type: 'area',
        height: 160,
        sparkline: {
          enabled: true,
        },
      },
      stroke: {
        curve: 'straight',
      },
      fill: {
        opacity: 0.3,
      },
      yaxis: {
        min: 0,
      },
      colors: ['#00E396'],
      title: {
        text: '$424,652',
        offsetX: 0,
        style: {
          fontSize: '24px',
        },
      },
      subtitle: {
        text: 'Sales',
        offsetX: 0,
        style: {
          fontSize: '14px',
        },
      },
    },
    seriesSpark2: [
      {
        data: expensesSpark,
      },
    ],
    optionsSpark2: {
      chart: {
        type: 'area',
        height: 160,
        sparkline: {
          enabled: true,
        },
      },
      stroke: {
        curve: 'straight',
      },
      fill: {
        opacity: 0.3,
      },
      yaxis: {
        min: 0,
      },
      colors: ['#FF4560'],
      title: {
        text: '$235,312',
        offsetX: 0,
        style: {
          fontSize: '24px',
        },
      },
      subtitle: {
        text: 'Expenses',
        offsetX: 0,
        style: {
          fontSize: '14px',
        },
      },
    },
    seriesSpark3: [
      {
        data: profitSpark,
      },
    ],
    optionsSpark3: {
      chart: {
        type: 'area',
        height: 160,
        sparkline: {
          enabled: true,
        },
      },
      stroke: {
        curve: 'straight',
      },
      fill: {
        opacity: 0.3,
      },
      xaxis: {
        crosshairs: {
          width: 1,
        },
      },
      yaxis: {
        min: 0,
      },
      colors: ['#008FFB'],
      title: {
        text: '$189,340',
        offsetX: 0,
        style: {
          fontSize: '24px',
        },
      },
      subtitle: {
        text: 'Profits',
        offsetX: 0,
        style: {
          fontSize: '14px',
        },
      },
    },
    series1: [
      {
        data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
      },
    ],
    options1: {
      chart: {
        type: 'line',
        width: 100,
        height: 35,
        sparkline: {
          enabled: true,
        },
      },
      tooltip: {
        fixed: {
          enabled: false,
        },
        x: {
          show: false,
        },
        y: {
          title: {
            formatter: function (seriesName) {
              return ''
            },
          },
        },
        marker: {
          show: false,
        },
      },
    },
    series2: [
      {
        data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
      },
    ],
    options2: {
      chart: {
        type: 'line',
        width: 100,
        height: 35,
        sparkline: {
          enabled: true,
        },
      },
      tooltip: {
        fixed: {
          enabled: false,
        },
        x: {
          show: false,
        },
        y: {
          title: {
            formatter: function (seriesName) {
              return ''
            },
          },
        },
        marker: {
          show: false,
        },
      },
    },
    series3: [43, 32, 12, 9],
    options3: {
      chart: {
        type: 'pie',
        width: 40,
        height: 40,
        sparkline: {
          enabled: true,
        },
      },
      stroke: {
        width: 1,
      },
      tooltip: {
        fixed: {
          enabled: false,
        },
      },
    },
    series4: [43, 32, 12, 9],
    options4: {
      chart: {
        type: 'donut',
        width: 40,
        height: 40,
        sparkline: {
          enabled: true,
        },
      },
      stroke: {
        width: 1,
      },
      tooltip: {
        fixed: {
          enabled: false,
        },
      },
    },
    series5: [
      {
        data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
      },
    ],
    options5: {
      chart: {
        type: 'bar',
        width: 100,
        height: 35,
        sparkline: {
          enabled: true,
        },
      },
      plotOptions: {
        bar: {
          columnWidth: '80%',
        },
      },
      labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
      xaxis: {
        crosshairs: {
          width: 1,
        },
      },
      tooltip: {
        fixed: {
          enabled: false,
        },
        x: {
          show: false,
        },
        y: {
          title: {
            formatter: function (seriesName) {
              return ''
            },
          },
        },
        marker: {
          show: false,
        },
      },
    },
    series6: [
      {
        data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
      },
    ],
    options6: {
      chart: {
        type: 'bar',
        width: 100,
        height: 35,
        sparkline: {
          enabled: true,
        },
      },
      plotOptions: {
        bar: {
          columnWidth: '80%',
        },
      },
      labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
      xaxis: {
        crosshairs: {
          width: 1,
        },
      },
      tooltip: {
        fixed: {
          enabled: false,
        },
        x: {
          show: false,
        },
        y: {
          title: {
            formatter: function (seriesName) {
              return ''
            },
          },
        },
        marker: {
          show: false,
        },
      },
    },
    series7: [45],
    options7: {
      chart: {
        type: 'radialBar',
        width: 50,
        height: 50,
        sparkline: {
          enabled: true,
        },
      },
      dataLabels: {
        enabled: false,
      },
      plotOptions: {
        radialBar: {
          hollow: {
            margin: 0,
            size: '50%',
          },
          track: {
            margin: 0,
          },
          dataLabels: {
            show: false,
          },
        },
      },
    },
    series8: [53, 67],
    options8: {
      chart: {
        type: 'radialBar',
        width: 40,
        height: 40,
        sparkline: {
          enabled: true,
        },
      },
      dataLabels: {
        enabled: false,
      },
      plotOptions: {
        radialBar: {
          hollow: {
            margin: 0,
            size: '50%',
          },
          track: {
            margin: 1,
          },
          dataLabels: {
            show: false,
          },
        },
      },
    },
  })

  return (
    <div>
      <div>
        <div className="row">
          <div className="col-md-4">
            <div id="chart-spark1">
              <ReactApexChart
                options={state.options}
                series={state.series}
                type="area"
                height={160}
              />
            </div>
          </div>
          <div className="col-md-4">
            <div id="chart-spark2">
              <ReactApexChart
                options={state.optionsSpark2}
                series={state.seriesSpark2}
                type="area"
                height={160}
              />
            </div>
          </div>
          <div className="col-md-4">
            <div id="chart-spark3">
              <ReactApexChart
                options={state.optionsSpark3}
                series={state.seriesSpark3}
                type="area"
                height={160}
              />
            </div>
          </div>
        </div>

        <div className="row">
          <table>
            <thead>
              <th>Total Value</th>
              <th>Percentage of Portfolio</th>
              <th>Last 10 days</th>
              <th>Volume</th>
            </thead>
            <tbody>
              <tr>
                <td>$32,554</td>
                <td>15%</td>
                <td>
                  <div id="chart-1">
                    <ReactApexChart
                      options={state.options1}
                      series={state.series1}
                      type="line"
                      height={35}
                      width={100}
                    />
                  </div>
                </td>
                <td>
                  <div id="chart-5">
                    <ReactApexChart
                      options={state.options5}
                      series={state.series5}
                      type="bar"
                      height={35}
                      width={100}
                    />
                  </div>
                </td>
              </tr>
              <tr>
                <td>$23,533</td>
                <td>7%</td>
                <td>
                  <div id="chart-2">
                    <ReactApexChart
                      options={state.options2}
                      series={state.series2}
                      type="line"
                      height={35}
                      width={100}
                    />
                  </div>
                </td>
                <td>
                  <div id="chart-6">
                    <ReactApexChart
                      options={state.options6}
                      series={state.series6}
                      type="bar"
                      height={35}
                      width={100}
                    />
                  </div>
                </td>
              </tr>
              <tr>
                <td>$54,276</td>
                <td>9%</td>
                <td>
                  <div id="chart-3">
                    <ReactApexChart
                      options={state.options3}
                      series={state.series3}
                      type="pie"
                      height={40}
                      width={40}
                    />
                  </div>
                </td>
                <td>
                  <div id="chart-7">
                    <ReactApexChart
                      options={state.options7}
                      series={state.series7}
                      type="radialBar"
                      height={50}
                      width={50}
                    />
                  </div>
                </td>
              </tr>
              <tr>
                <td>$11,533</td>
                <td>2%</td>
                <td>
                  <div id="chart-4">
                    <ReactApexChart
                      options={state.options4}
                      series={state.series4}
                      type="donut"
                      height={40}
                      width={40}
                    />
                  </div>
                </td>
                <td>
                  <div id="chart-8">
                    <ReactApexChart
                      options={state.options8}
                      series={state.series8}
                      type="radialBar"
                      height={40}
                      width={40}
                    />
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  )
}

export default ApexChart

Basic Sparklines in Vue

Using ApexCharts with Vue

This Basic Sparklines example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div>
      <div class="row">
        <div class="col-md-4">
          <div id="chart-spark1">
            <apexchart
              type="area"
              height="160"
              :options="chartOptions"
              :series="series"
            ></apexchart>
          </div>
        </div>
        <div class="col-md-4">
          <div id="chart-spark2">
            <apexchart
              type="area"
              height="160"
              :options="chartOptionsSpark2"
              :series="seriesSpark2"
            ></apexchart>
          </div>
        </div>
        <div class="col-md-4">
          <div id="chart-spark3">
            <apexchart
              type="area"
              height="160"
              :options="chartOptionsSpark3"
              :series="seriesSpark3"
            ></apexchart>
          </div>
        </div>
      </div>

      <div class="row">
        <table>
          <thead>
            <th>Total Value</th>
            <th>Percentage of Portfolio</th>
            <th>Last 10 days</th>
            <th>Volume</th>
          </thead>
          <tbody>
            <tr>
              <td>$32,554</td>
              <td>15%</td>
              <td>
                <div id="chart-1">
                  <apexchart
                    type="line"
                    height="35"
                    width="100"
                    :options="chartOptions1"
                    :series="series1"
                  ></apexchart>
                </div>
              </td>
              <td>
                <div id="chart-5">
                  <apexchart
                    type="bar"
                    height="35"
                    width="100"
                    :options="chartOptions5"
                    :series="series5"
                  ></apexchart>
                </div>
              </td>
            </tr>
            <tr>
              <td>$23,533</td>
              <td>7%</td>
              <td>
                <div id="chart-2">
                  <apexchart
                    type="line"
                    height="35"
                    width="100"
                    :options="chartOptions2"
                    :series="series2"
                  ></apexchart>
                </div>
              </td>
              <td>
                <div id="chart-6">
                  <apexchart
                    type="bar"
                    height="35"
                    width="100"
                    :options="chartOptions6"
                    :series="series6"
                  ></apexchart>
                </div>
              </td>
            </tr>
            <tr>
              <td>$54,276</td>
              <td>9%</td>
              <td>
                <div id="chart-3">
                  <apexchart
                    type="pie"
                    height="40"
                    width="40"
                    :options="chartOptions3"
                    :series="series3"
                  ></apexchart>
                </div>
              </td>
              <td>
                <div id="chart-7">
                  <apexchart
                    type="radialBar"
                    height="50"
                    width="50"
                    :options="chartOptions7"
                    :series="series7"
                  ></apexchart>
                </div>
              </td>
            </tr>
            <tr>
              <td>$11,533</td>
              <td>2%</td>
              <td>
                <div id="chart-4">
                  <apexchart
                    type="donut"
                    height="40"
                    width="40"
                    :options="chartOptions4"
                    :series="series4"
                  ></apexchart>
                </div>
              </td>
              <td>
                <div id="chart-8">
                  <apexchart
                    type="radialBar"
                    height="40"
                    width="40"
                    :options="chartOptions8"
                    :series="series8"
                  ></apexchart>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

window.Apex = {
  stroke: {
    width: 3,
  },
  markers: {
    size: 0,
  },
  tooltip: {
    fixed: {
      enabled: true,
    },
  },
}

// Fixed, deterministic series so the header sparklines are stable and tell a
// coherent story: Profit is the gap between Sales and Expenses, point by point.
var salesSpark = [
  31, 40, 33, 52, 46, 58, 49, 61, 55, 70, 64, 78, 72, 85, 79, 92, 88, 101, 96,
  108, 104, 118, 112, 126,
]
var expensesSpark = [
  28, 34, 30, 41, 37, 33, 45, 40, 52, 47, 43, 55, 50, 46, 58, 53, 49, 61, 56,
  52, 64, 59, 55, 67,
]
var profitSpark = salesSpark.map(function (v, i) {
  return v - expensesSpark[i]
})

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          data: salesSpark,
        },
      ],
      chartOptions: {
        chart: {
          type: 'area',
          height: 160,
          sparkline: {
            enabled: true,
          },
        },
        stroke: {
          curve: 'straight',
        },
        fill: {
          opacity: 0.3,
        },
        yaxis: {
          min: 0,
        },
        colors: ['#00E396'],
        title: {
          text: '$424,652',
          offsetX: 0,
          style: {
            fontSize: '24px',
          },
        },
        subtitle: {
          text: 'Sales',
          offsetX: 0,
          style: {
            fontSize: '14px',
          },
        },
      },
      seriesSpark2: [
        {
          data: expensesSpark,
        },
      ],
      chartOptionsSpark2: {
        chart: {
          type: 'area',
          height: 160,
          sparkline: {
            enabled: true,
          },
        },
        stroke: {
          curve: 'straight',
        },
        fill: {
          opacity: 0.3,
        },
        yaxis: {
          min: 0,
        },
        colors: ['#FF4560'],
        title: {
          text: '$235,312',
          offsetX: 0,
          style: {
            fontSize: '24px',
          },
        },
        subtitle: {
          text: 'Expenses',
          offsetX: 0,
          style: {
            fontSize: '14px',
          },
        },
      },
      seriesSpark3: [
        {
          data: profitSpark,
        },
      ],
      chartOptionsSpark3: {
        chart: {
          type: 'area',
          height: 160,
          sparkline: {
            enabled: true,
          },
        },
        stroke: {
          curve: 'straight',
        },
        fill: {
          opacity: 0.3,
        },
        xaxis: {
          crosshairs: {
            width: 1,
          },
        },
        yaxis: {
          min: 0,
        },
        colors: ['#008FFB'],
        title: {
          text: '$189,340',
          offsetX: 0,
          style: {
            fontSize: '24px',
          },
        },
        subtitle: {
          text: 'Profits',
          offsetX: 0,
          style: {
            fontSize: '14px',
          },
        },
      },
      series1: [
        {
          data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
        },
      ],
      chartOptions1: {
        chart: {
          type: 'line',
          width: 100,
          height: 35,
          sparkline: {
            enabled: true,
          },
        },
        tooltip: {
          fixed: {
            enabled: false,
          },
          x: {
            show: false,
          },
          y: {
            title: {
              formatter: function (seriesName) {
                return ''
              },
            },
          },
          marker: {
            show: false,
          },
        },
      },
      series2: [
        {
          data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
        },
      ],
      chartOptions2: {
        chart: {
          type: 'line',
          width: 100,
          height: 35,
          sparkline: {
            enabled: true,
          },
        },
        tooltip: {
          fixed: {
            enabled: false,
          },
          x: {
            show: false,
          },
          y: {
            title: {
              formatter: function (seriesName) {
                return ''
              },
            },
          },
          marker: {
            show: false,
          },
        },
      },
      series3: [43, 32, 12, 9],
      chartOptions3: {
        chart: {
          type: 'pie',
          width: 40,
          height: 40,
          sparkline: {
            enabled: true,
          },
        },
        stroke: {
          width: 1,
        },
        tooltip: {
          fixed: {
            enabled: false,
          },
        },
      },
      series4: [43, 32, 12, 9],
      chartOptions4: {
        chart: {
          type: 'donut',
          width: 40,
          height: 40,
          sparkline: {
            enabled: true,
          },
        },
        stroke: {
          width: 1,
        },
        tooltip: {
          fixed: {
            enabled: false,
          },
        },
      },
      series5: [
        {
          data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
        },
      ],
      chartOptions5: {
        chart: {
          type: 'bar',
          width: 100,
          height: 35,
          sparkline: {
            enabled: true,
          },
        },
        plotOptions: {
          bar: {
            columnWidth: '80%',
          },
        },
        labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
        xaxis: {
          crosshairs: {
            width: 1,
          },
        },
        tooltip: {
          fixed: {
            enabled: false,
          },
          x: {
            show: false,
          },
          y: {
            title: {
              formatter: function (seriesName) {
                return ''
              },
            },
          },
          marker: {
            show: false,
          },
        },
      },
      series6: [
        {
          data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
        },
      ],
      chartOptions6: {
        chart: {
          type: 'bar',
          width: 100,
          height: 35,
          sparkline: {
            enabled: true,
          },
        },
        plotOptions: {
          bar: {
            columnWidth: '80%',
          },
        },
        labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
        xaxis: {
          crosshairs: {
            width: 1,
          },
        },
        tooltip: {
          fixed: {
            enabled: false,
          },
          x: {
            show: false,
          },
          y: {
            title: {
              formatter: function (seriesName) {
                return ''
              },
            },
          },
          marker: {
            show: false,
          },
        },
      },
      series7: [45],
      chartOptions7: {
        chart: {
          type: 'radialBar',
          width: 50,
          height: 50,
          sparkline: {
            enabled: true,
          },
        },
        dataLabels: {
          enabled: false,
        },
        plotOptions: {
          radialBar: {
            hollow: {
              margin: 0,
              size: '50%',
            },
            track: {
              margin: 0,
            },
            dataLabels: {
              show: false,
            },
          },
        },
      },
      series8: [53, 67],
      chartOptions8: {
        chart: {
          type: 'radialBar',
          width: 40,
          height: 40,
          sparkline: {
            enabled: true,
          },
        },
        dataLabels: {
          enabled: false,
        },
        plotOptions: {
          radialBar: {
            hollow: {
              margin: 0,
              size: '50%',
            },
            track: {
              margin: 1,
            },
            dataLabels: {
              show: false,
            },
          },
        },
      },
    }
  },
}
</script>

<style>
.row {
  overflow: hidden;
  max-width: 890px;
  margin: 30px auto;
  display: flex;
}

.col-md-4 {
  width: 33.33%;
  padding: 0 25px;
  box-sizing: border-box;
}

table {
  width: 100%;
}

tbody tr {
  border-top: 1px solid #e7e7e7;
}

th {
  font-weight: bold;
  font-family: Helvetica;
  padding-bottom: 20px;
}
td,
th {
  width: 25%;
  text-align: center;
  height: 65px;
}

td div {
  margin: 0 auto;
}

.left {
  float: left;
}

.right {
  float: right;
}

@media only screen and (max-width: 480px) {
  th:first-child,
  td:first-child {
    display: none;
  }
  .row {
    display: block;
  }
  .col-md-4 {
    padding: 0;
    width: 100%;
  }
}
</style>

Basic Sparklines in Angular

Using ApexCharts with Angular

This Basic Sparklines example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide
import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  private salesSpark: any = [
          31, 40, 33, 52, 46, 58, 49, 61, 55, 70, 64, 78, 72, 85, 79, 92, 88, 101, 96,
          108, 104, 118, 112, 126,
        ];

  private expensesSpark: any = [
          28, 34, 30, 41, 37, 33, 45, 40, 52, 47, 43, 55, 50, 46, 58, 53, 49, 61, 56,
          52, 64, 59, 55, 67,
        ];

  private profitSpark: any = this.salesSpark.map(function (v, i) {
          return v - this.expensesSpark[i]
        });

  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              data: this.salesSpark,
            },
          ],
          chart: {
            type: 'area',
            height: 160,
            sparkline: {
              enabled: true,
            },
          },
          stroke: {
            curve: 'straight',
          },
          fill: {
            opacity: 0.3,
          },
          yaxis: {
            min: 0,
          },
          colors: ['#00E396'],
          title: {
            text: '$424,652',
            offsetX: 0,
            style: {
              fontSize: '24px',
            },
          },
          subtitle: {
            text: 'Sales',
            offsetX: 0,
            style: {
              fontSize: '14px',
            },
          },
        };

  public chartOptions2: Partial<ChartOptions> = {
          series: [
            {
              data: this.expensesSpark,
            },
          ],
          chart: {
            type: 'area',
            height: 160,
            sparkline: {
              enabled: true,
            },
          },
          stroke: {
            curve: 'straight',
          },
          fill: {
            opacity: 0.3,
          },
          yaxis: {
            min: 0,
          },
          colors: ['#FF4560'],
          title: {
            text: '$235,312',
            offsetX: 0,
            style: {
              fontSize: '24px',
            },
          },
          subtitle: {
            text: 'Expenses',
            offsetX: 0,
            style: {
              fontSize: '14px',
            },
          },
        };

  public chartOptions3: Partial<ChartOptions> = {
          series: [
            {
              data: this.profitSpark,
            },
          ],
          chart: {
            type: 'area',
            height: 160,
            sparkline: {
              enabled: true,
            },
          },
          stroke: {
            curve: 'straight',
          },
          fill: {
            opacity: 0.3,
          },
          xaxis: {
            crosshairs: {
              width: 1,
            },
          },
          yaxis: {
            min: 0,
          },
          colors: ['#008FFB'],
          title: {
            text: '$189,340',
            offsetX: 0,
            style: {
              fontSize: '24px',
            },
          },
          subtitle: {
            text: 'Profits',
            offsetX: 0,
            style: {
              fontSize: '14px',
            },
          },
        };

  public chartOptions4: Partial<ChartOptions> = {
          series: [
            {
              data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
            },
          ],
          chart: {
            type: 'line',
            width: 100,
            height: 35,
            sparkline: {
              enabled: true,
            },
          },
          tooltip: {
            fixed: {
              enabled: false,
            },
            x: {
              show: false,
            },
            y: {
              title: {
                formatter: (seriesName) => {
                  return ''
                },
              },
            },
            marker: {
              show: false,
            },
          },
        };

  public chartOptions5: Partial<ChartOptions> = {
          series: [
            {
              data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
            },
          ],
          chart: {
            type: 'line',
            width: 100,
            height: 35,
            sparkline: {
              enabled: true,
            },
          },
          tooltip: {
            fixed: {
              enabled: false,
            },
            x: {
              show: false,
            },
            y: {
              title: {
                formatter: (seriesName) => {
                  return ''
                },
              },
            },
            marker: {
              show: false,
            },
          },
        };

  public chartOptions6: Partial<ChartOptions> = {
          series: [43, 32, 12, 9],
          chart: {
            type: 'pie',
            width: 40,
            height: 40,
            sparkline: {
              enabled: true,
            },
          },
          stroke: {
            width: 1,
          },
          tooltip: {
            fixed: {
              enabled: false,
            },
          },
        };

  public chartOptions7: Partial<ChartOptions> = {
          series: [43, 32, 12, 9],
          chart: {
            type: 'donut',
            width: 40,
            height: 40,
            sparkline: {
              enabled: true,
            },
          },
          stroke: {
            width: 1,
          },
          tooltip: {
            fixed: {
              enabled: false,
            },
          },
        };

  public chartOptions8: Partial<ChartOptions> = {
          series: [
            {
              data: [25, 66, 41, 89, 63, 25, 44, 12, 36, 9, 54],
            },
          ],
          chart: {
            type: 'bar',
            width: 100,
            height: 35,
            sparkline: {
              enabled: true,
            },
          },
          plotOptions: {
            bar: {
              columnWidth: '80%',
            },
          },
          labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
          xaxis: {
            crosshairs: {
              width: 1,
            },
          },
          tooltip: {
            fixed: {
              enabled: false,
            },
            x: {
              show: false,
            },
            y: {
              title: {
                formatter: (seriesName) => {
                  return ''
                },
              },
            },
            marker: {
              show: false,
            },
          },
        };

  public chartOptions9: Partial<ChartOptions> = {
          series: [
            {
              data: [12, 14, 2, 47, 42, 15, 47, 75, 65, 19, 14],
            },
          ],
          chart: {
            type: 'bar',
            width: 100,
            height: 35,
            sparkline: {
              enabled: true,
            },
          },
          plotOptions: {
            bar: {
              columnWidth: '80%',
            },
          },
          labels: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
          xaxis: {
            crosshairs: {
              width: 1,
            },
          },
          tooltip: {
            fixed: {
              enabled: false,
            },
            x: {
              show: false,
            },
            y: {
              title: {
                formatter: (seriesName) => {
                  return ''
                },
              },
            },
            marker: {
              show: false,
            },
          },
        };

  public chartOptions10: Partial<ChartOptions> = {
          series: [45],
          chart: {
            type: 'radialBar',
            width: 50,
            height: 50,
            sparkline: {
              enabled: true,
            },
          },
          dataLabels: {
            enabled: false,
          },
          plotOptions: {
            radialBar: {
              hollow: {
                margin: 0,
                size: '50%',
              },
              track: {
                margin: 0,
              },
              dataLabels: {
                show: false,
              },
            },
          },
        };

  public chartOptions11: Partial<ChartOptions> = {
          series: [53, 67],
          chart: {
            type: 'radialBar',
            width: 40,
            height: 40,
            sparkline: {
              enabled: true,
            },
          },
          dataLabels: {
            enabled: false,
          },
          plotOptions: {
            radialBar: {
              hollow: {
                margin: 0,
                size: '50%',
              },
              track: {
                margin: 1,
              },
              dataLabels: {
                show: false,
              },
            },
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
    (window as any).Apex = {
            stroke: {
              width: 3,
            },
            markers: {
              size: 0,
            },
            tooltip: {
              fixed: {
                enabled: true,
              },
            },
          }
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}